%global oname hll
Name:          java-hll
Version:       1.6.0
Release:       4%{?dist}
Summary:       Java library for the HyperLogLog algorithm
License:       ASL 2.0
URL:           https://github.com/aggregateknowledge/java-hll
Source0:       https://github.com/aggregateknowledge/java-hll/archive/v%{version}.tar.gz
# https://issues.apache.org/jira/browse/SOLR-7954
# https://github.com/aggregateknowledge/java-hll/issues/17
Patch0:        java-hll-SOLR-7954.patch

BuildRequires: maven-local
BuildRequires: mvn(it.unimi.dsi:fastutil)
BuildRequires: mvn(org.easymock:easymock)
BuildRequires: mvn(org.powermock:powermock-api-easymock)
BuildRequires: mvn(org.powermock:powermock-module-junit4)
BuildRequires: mvn(org.sonatype.oss:oss-parent:pom:)
BuildRequires: mvn(org.testng:testng)

BuildArch:     noarch

%description
HyperLogLog: approximate distinct value counting algorithm.
This library is a HyperLogLog data structure. HyperLogLog
is a fixed-size, set-like structure used for distinct value
counting with tunable precision.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n %{name}-%{version}
%patch0 -p1

%pom_remove_plugin :maven-gpg-plugin
%pom_remove_plugin :maven-javadoc-plugin
%pom_remove_plugin :maven-source-plugin

%mvn_file :%{oname} %{oname}

%build

%mvn_build

%install
%mvn_install

%files -f .mfiles
%doc README.markdown RELEASE_NOTES.markdown
%license LICENSE

%files javadoc -f .mfiles-javadoc
%license LICENSE

%changelog
* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.6.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.6.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Tue Sep 15 2015 gil cattaneo <puntogil@libero.it> 1.6.0-2
- add fix for SOLR-7954

* Wed Jun 24 2015 gil cattaneo <puntogil@libero.it> 1.6.0-1
- initial rpm
